Package org.pentaho.reporting.libraries.resourceloader.modules.factory.svg

# Class WrapperSVGImageFactoryModule

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.modules.factory.svg.WrapperSVGImageFactoryModule

All Implemented Interfaces:
  `FactoryModule`

public class WrapperSVGImageFactoryModule extends Object implements FactoryModule
Todo: Document Me

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

`FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

## Constructor Summary

Constructors
Constructor
Description
`WrapperSVGImageFactoryModule()`

## Method Summary

Modifier and Type
Method
Description
`int`
`canHandleResource(ResourceManager caller, ResourceData data)`
`Resource`
`create(ResourceManager caller, ResourceData data, ResourceKey context)`
`int`
`getHeaderFingerprintSize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperSVGImageFactoryModule

public WrapperSVGImageFactoryModule()

## Method Details

### canHandleResource

public int canHandleResource(ResourceManager caller, ResourceData data) throws ResourceCreationException, ResourceLoadingException

Specified by:
  `canHandleResource` in interface `FactoryModule`
Throws:
  `ResourceCreationException`
  `ResourceLoadingException`

### getHeaderFingerprintSize

public int getHeaderFingerprintSize()

Specified by:
  `getHeaderFingerprintSize` in interface `FactoryModule`

### create

public Resource create(ResourceManager caller, ResourceData data, ResourceKey context) throws ResourceCreationException, ResourceLoadingException

Specified by:
  `create` in interface `FactoryModule`
Throws:
  `ResourceCreationException`
  `ResourceLoadingException`